Overview | Modules | Class Hierarchy | Classes | Members

# tlp::PropertyAlgorithm Class Reference
[Plugins]

`#include <PropertyAlgorithm.h>`

Inherits tlp::WithParameter, and tlp::WithDependency.

Inherited by tlp::BooleanAlgorithm, tlp::ColorAlgorithm, tlp::DoubleAlgorithm, tlp::IntegerAlgorithm, tlp::LayoutAlgorithm, tlp::SizeAlgorithm, and tlp::StringAlgorithm.

Inheritance diagram for tlp::PropertyAlgorithm:

[legend]
Collaboration diagram for tlp::PropertyAlgorithm:

[legend]
List of all members.

## Public Member Functions

- PropertyAlgorithm (const PropertyContext &context)
- virtual ~PropertyAlgorithm ()
- virtual bool run ()
- virtual bool check (std::string &)
- bool preservePropertyUpdates (PropertyInterface *prop)

## Protected Attributes

- Graph * graph
- PluginProgress * pluginProgress
- DataSet * dataSet

## Constructor & Destructor Documentation

tlp::PropertyAlgorithm::PropertyAlgorithm | ( | const PropertyContext & | context | ) | `[inline]`

virtual tlp::PropertyAlgorithm::~PropertyAlgorithm | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool tlp::PropertyAlgorithm::check | ( | std::string & |  | ) | `[inline, virtual]`

bool tlp::PropertyAlgorithm::preservePropertyUpdates | ( | PropertyInterface * | prop | ) | `[inline]`

virtual bool tlp::PropertyAlgorithm::run | ( |  | ) | `[inline, virtual]`

## Member Data Documentation

DataSet* tlp::PropertyAlgorithm::dataSet `[protected]`

Graph* tlp::PropertyAlgorithm::graph `[protected]`

PluginProgress* tlp::PropertyAlgorithm::pluginProgress `[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010